package org.greenstone.atea.morphia;

import java.util.Map;
import java.util.HashMap;

import dev.morphia.annotations.*;


@Entity("Sentences")
public class SentenceInfo {

    public final String sentence;
    public final Map<String, Double> languageToConfidenceMap;
    @Embedded
    public final LanguageInfo[] languagesInfo; // array of langCode and confidence value pairs

    
    public SentenceInfo(String sentence, LanguageInfo[] languages) {
	this.sentence = sentence;
	this.languagesInfo = languages;

	// let's store (langCode -> confidence) lookup in Map:
	this.languageToConfidenceMap = new HashMap<String, Double>();	
	for(LanguageInfo li : languages) {
	    String langCode = li.langCode;
	    Double confidence = new Double(li.confidenceLevel);
	    languageToConfidenceMap.put(langCode, confidence);
	}
    }
    
}

// BACK WHEN WE ONLY STORED THE BEST PREDICTED LANGUAGE META FOR EACH SENTENCE:
/*
@Entity("Sentences")
public class SentenceInfo {
    public final double confidenceLevel;
    // 3 letter lang code
    public final String langCode;
    public final String sentence;
    
    public SentenceInfo(double confidence, String langCode, String sentence) {
	this.confidenceLevel = confidence;
	this.langCode = langCode;
	this.sentence = sentence;
    }
}
*/
